<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: StoreResultsToFile.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_store_results_to_file_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">StoreResultsToFile.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="_store_results_to_file_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7cec9f4f9ebd175d0659ca6af28407a5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a7cec9f4f9ebd175d0659ca6af28407a5">exists_file</a> (const std::string &amp;name)</td></tr>
<tr class="separator:a7cec9f4f9ebd175d0659ca6af28407a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45f874fa7a191611a2cb6938f59c4f5d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a45f874fa7a191611a2cb6938f59c4f5d">StoreVariableResultsIntoFile</a> (std::vector&lt; <a class="el" href="struct_var_decl_properties.html">VarDeclProperties</a> &gt; AllVarDeclProperties_vec)</td></tr>
<tr class="separator:a45f874fa7a191611a2cb6938f59c4f5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a640450ce1c92b87137467ef37910e797"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a640450ce1c92b87137467ef37910e797">CreateStringForFileReport</a> (<a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> &amp;Result)</td></tr>
<tr class="separator:a640450ce1c92b87137467ef37910e797"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a111ffca78860c46d7503443c29de7937"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a111ffca78860c46d7503443c29de7937">CreateStringForFileReport</a> (std::vector&lt; <a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> &gt; &amp;Result)</td></tr>
<tr class="separator:a111ffca78860c46d7503443c29de7937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19896502e58bf3ed89e13edf9f2358bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a19896502e58bf3ed89e13edf9f2358bd">getCodePositionAndTextAsString</a> (<a class="el" href="struct_exp_eval.html">ExpEval</a> Code, std::string &amp;TextExpansion)</td></tr>
<tr class="separator:a19896502e58bf3ed89e13edf9f2358bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2468460f10bda99b49b4b0e19bcc105f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a2468460f10bda99b49b4b0e19bcc105f">process_totalLocationInfo</a> (<a class="el" href="struct_total_location_info.html">TotalLocationInfo</a> Position, std::string &amp;SourceFileExcerpt)</td></tr>
<tr class="separator:a2468460f10bda99b49b4b0e19bcc105f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ecfd769cc2926660b641091fab37adb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a6ecfd769cc2926660b641091fab37adb">fillgap</a> (unsigned gap_size)</td></tr>
<tr class="separator:a6ecfd769cc2926660b641091fab37adb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a884b40d882c1f0f5ccdf38ab82a657c3"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a884b40d882c1f0f5ccdf38ab82a657c3">findSublvlNo</a> (unsigned StmtNo, <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> BinOpProperties, bool &amp;success)</td></tr>
<tr class="separator:a884b40d882c1f0f5ccdf38ab82a657c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ab9af07d15ee889ec2753402726ff29"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a8ab9af07d15ee889ec2753402726ff29">findNameOfLHS</a> (<a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> BinOpProperties)</td></tr>
<tr class="separator:a8ab9af07d15ee889ec2753402726ff29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52973540f2a4a6a8e53218d1686af451"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a52973540f2a4a6a8e53218d1686af451">getBinOpSubExpString</a> (<a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a> SubPropt)</td></tr>
<tr class="separator:a52973540f2a4a6a8e53218d1686af451"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4325a6030ce35e07734f734adc6d9fa5"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a4325a6030ce35e07734f734adc6d9fa5">ProcNodeEnumToString</a> (<a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465df">SupportedNodes</a> EnumNodes)</td></tr>
<tr class="separator:a4325a6030ce35e07734f734adc6d9fa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d7d18d659ddaebae8cb79985340836c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c">StoreBinOpResultsIntoFile</a> (std::vector&lt; <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &gt; &amp;AllBinOpProperties_vec)</td></tr>
<tr class="separator:a1d7d18d659ddaebae8cb79985340836c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a640450ce1c92b87137467ef37910e797"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a640450ce1c92b87137467ef37910e797">&#9670;&nbsp;</a></span>CreateStringForFileReport() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string CreateStringForFileReport </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> &amp;&#160;</td>
          <td class="paramname"><em>Result</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a640450ce1c92b87137467ef37910e797_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a640450ce1c92b87137467ef37910e797_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a640450ce1c92b87137467ef37910e797_icgraph" id="_store_results_to_file_8h_a640450ce1c92b87137467ef37910e797_icgraph">
<area shape="rect" title=" " alt="" coords="243,5,432,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a111ffca78860c46d7503443c29de7937" title=" " alt="" coords="5,5,195,32"/>
</map>
</div>

</div>
</div>
<a id="a111ffca78860c46d7503443c29de7937"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a111ffca78860c46d7503443c29de7937">&#9670;&nbsp;</a></span>CreateStringForFileReport() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string CreateStringForFileReport </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_source_code_snippet.html">SourceCodeSnippet</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>Result</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a111ffca78860c46d7503443c29de7937_cgraph.png" border="0" usemap="#_store_results_to_file_8h_a111ffca78860c46d7503443c29de7937_cgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a111ffca78860c46d7503443c29de7937_cgraph" id="_store_results_to_file_8h_a111ffca78860c46d7503443c29de7937_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,195,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a640450ce1c92b87137467ef37910e797" title=" " alt="" coords="243,5,432,32"/>
</map>
</div>

</div>
</div>
<a id="a7cec9f4f9ebd175d0659ca6af28407a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cec9f4f9ebd175d0659ca6af28407a5">&#9670;&nbsp;</a></span>exists_file()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool exists_file </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a7cec9f4f9ebd175d0659ca6af28407a5_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a7cec9f4f9ebd175d0659ca6af28407a5_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a7cec9f4f9ebd175d0659ca6af28407a5_icgraph" id="_store_results_to_file_8h_a7cec9f4f9ebd175d0659ca6af28407a5_icgraph">
<area shape="rect" title=" " alt="" coords="259,31,347,57"/>
<area shape="rect" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c" title=" " alt="" coords="13,5,203,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a45f874fa7a191611a2cb6938f59c4f5d" title=" " alt="" coords="5,56,211,83"/>
</map>
</div>

</div>
</div>
<a id="a6ecfd769cc2926660b641091fab37adb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ecfd769cc2926660b641091fab37adb">&#9670;&nbsp;</a></span>fillgap()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string fillgap </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>gap_size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a6ecfd769cc2926660b641091fab37adb_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a6ecfd769cc2926660b641091fab37adb_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a6ecfd769cc2926660b641091fab37adb_icgraph" id="_store_results_to_file_8h_a6ecfd769cc2926660b641091fab37adb_icgraph">
<area shape="rect" title=" " alt="" coords="244,5,307,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c" title=" " alt="" coords="5,5,196,32"/>
</map>
</div>

</div>
</div>
<a id="a8ab9af07d15ee889ec2753402726ff29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ab9af07d15ee889ec2753402726ff29">&#9670;&nbsp;</a></span>findNameOfLHS()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string findNameOfLHS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a>&#160;</td>
          <td class="paramname"><em>BinOpProperties</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a8ab9af07d15ee889ec2753402726ff29_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a8ab9af07d15ee889ec2753402726ff29_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a8ab9af07d15ee889ec2753402726ff29_icgraph" id="_store_results_to_file_8h_a8ab9af07d15ee889ec2753402726ff29_icgraph">
<area shape="rect" title=" " alt="" coords="244,5,369,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c" title=" " alt="" coords="5,5,196,32"/>
</map>
</div>

</div>
</div>
<a id="a884b40d882c1f0f5ccdf38ab82a657c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a884b40d882c1f0f5ccdf38ab82a657c3">&#9670;&nbsp;</a></span>findSublvlNo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned findSublvlNo </td>
          <td>(</td>
          <td class="paramtype">unsigned&#160;</td>
          <td class="paramname"><em>StmtNo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a>&#160;</td>
          <td class="paramname"><em>BinOpProperties</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>success</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a884b40d882c1f0f5ccdf38ab82a657c3_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a884b40d882c1f0f5ccdf38ab82a657c3_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a884b40d882c1f0f5ccdf38ab82a657c3_icgraph" id="_store_results_to_file_8h_a884b40d882c1f0f5ccdf38ab82a657c3_icgraph">
<area shape="rect" title=" " alt="" coords="244,5,348,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c" title=" " alt="" coords="5,5,196,32"/>
</map>
</div>

</div>
</div>
<a id="a52973540f2a4a6a8e53218d1686af451"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52973540f2a4a6a8e53218d1686af451">&#9670;&nbsp;</a></span>getBinOpSubExpString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string getBinOpSubExpString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_sub_level_properties.html">SubLevelProperties</a>&#160;</td>
          <td class="paramname"><em>SubPropt</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a52973540f2a4a6a8e53218d1686af451_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a52973540f2a4a6a8e53218d1686af451_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a52973540f2a4a6a8e53218d1686af451_icgraph" id="_store_results_to_file_8h_a52973540f2a4a6a8e53218d1686af451_icgraph">
<area shape="rect" title=" " alt="" coords="244,5,412,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c" title=" " alt="" coords="5,5,196,32"/>
</map>
</div>

</div>
</div>
<a id="a19896502e58bf3ed89e13edf9f2358bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19896502e58bf3ed89e13edf9f2358bd">&#9670;&nbsp;</a></span>getCodePositionAndTextAsString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void getCodePositionAndTextAsString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_exp_eval.html">ExpEval</a>&#160;</td>
          <td class="paramname"><em>Code</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string &amp;&#160;</td>
          <td class="paramname"><em>TextExpansion</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a19896502e58bf3ed89e13edf9f2358bd_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a19896502e58bf3ed89e13edf9f2358bd_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a19896502e58bf3ed89e13edf9f2358bd_icgraph" id="_store_results_to_file_8h_a19896502e58bf3ed89e13edf9f2358bd_icgraph">
<area shape="rect" title=" " alt="" coords="481,5,677,47"/>
<area shape="rect" href="_store_results_to_file_8h.html#a2468460f10bda99b49b4b0e19bcc105f" title=" " alt="" coords="244,13,433,39"/>
<area shape="rect" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c" title=" " alt="" coords="5,13,196,39"/>
</map>
</div>

</div>
</div>
<a id="a2468460f10bda99b49b4b0e19bcc105f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2468460f10bda99b49b4b0e19bcc105f">&#9670;&nbsp;</a></span>process_totalLocationInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string process_totalLocationInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_total_location_info.html">TotalLocationInfo</a>&#160;</td>
          <td class="paramname"><em>Position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string &amp;&#160;</td>
          <td class="paramname"><em>SourceFileExcerpt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a2468460f10bda99b49b4b0e19bcc105f_cgraph.png" border="0" usemap="#_store_results_to_file_8h_a2468460f10bda99b49b4b0e19bcc105f_cgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a2468460f10bda99b49b4b0e19bcc105f_cgraph" id="_store_results_to_file_8h_a2468460f10bda99b49b4b0e19bcc105f_cgraph">
<area shape="rect" title=" " alt="" coords="5,13,195,39"/>
<area shape="rect" href="_store_results_to_file_8h.html#a19896502e58bf3ed89e13edf9f2358bd" title=" " alt="" coords="243,5,439,47"/>
</map>
</div>
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a2468460f10bda99b49b4b0e19bcc105f_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a2468460f10bda99b49b4b0e19bcc105f_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a2468460f10bda99b49b4b0e19bcc105f_icgraph" id="_store_results_to_file_8h_a2468460f10bda99b49b4b0e19bcc105f_icgraph">
<area shape="rect" title=" " alt="" coords="244,5,433,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c" title=" " alt="" coords="5,5,196,32"/>
</map>
</div>

</div>
</div>
<a id="a4325a6030ce35e07734f734adc6d9fa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4325a6030ce35e07734f734adc6d9fa5">&#9670;&nbsp;</a></span>ProcNodeEnumToString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string ProcNodeEnumToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_types_for_analysis_8h.html#a3d39e178a2c4326b4000a3f89b3465df">SupportedNodes</a>&#160;</td>
          <td class="paramname"><em>EnumNodes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a4325a6030ce35e07734f734adc6d9fa5_icgraph.png" border="0" usemap="#_store_results_to_file_8h_a4325a6030ce35e07734f734adc6d9fa5_icgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a4325a6030ce35e07734f734adc6d9fa5_icgraph" id="_store_results_to_file_8h_a4325a6030ce35e07734f734adc6d9fa5_icgraph">
<area shape="rect" title=" " alt="" coords="244,5,417,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a1d7d18d659ddaebae8cb79985340836c" title=" " alt="" coords="5,5,196,32"/>
</map>
</div>

</div>
</div>
<a id="a1d7d18d659ddaebae8cb79985340836c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d7d18d659ddaebae8cb79985340836c">&#9670;&nbsp;</a></span>StoreBinOpResultsIntoFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StoreBinOpResultsIntoFile </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>AllBinOpProperties_vec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a1d7d18d659ddaebae8cb79985340836c_cgraph.png" border="0" usemap="#_store_results_to_file_8h_a1d7d18d659ddaebae8cb79985340836c_cgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a1d7d18d659ddaebae8cb79985340836c_cgraph" id="_store_results_to_file_8h_a1d7d18d659ddaebae8cb79985340836c_cgraph">
<area shape="rect" title=" " alt="" coords="5,157,196,184"/>
<area shape="rect" href="_store_results_to_file_8h.html#a7cec9f4f9ebd175d0659ca6af28407a5" title=" " alt="" coords="295,5,383,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a6ecfd769cc2926660b641091fab37adb" title=" " alt="" coords="307,56,370,83"/>
<area shape="rect" href="_store_results_to_file_8h.html#a8ab9af07d15ee889ec2753402726ff29" title=" " alt="" coords="276,107,401,133"/>
<area shape="rect" href="_store_results_to_file_8h.html#a884b40d882c1f0f5ccdf38ab82a657c3" title=" " alt="" coords="287,157,391,184"/>
<area shape="rect" href="_store_results_to_file_8h.html#a52973540f2a4a6a8e53218d1686af451" title=" " alt="" coords="255,208,423,235"/>
<area shape="rect" href="_store_results_to_file_8h.html#a2468460f10bda99b49b4b0e19bcc105f" title=" " alt="" coords="244,259,433,285"/>
<area shape="rect" href="_store_results_to_file_8h.html#a4325a6030ce35e07734f734adc6d9fa5" title=" " alt="" coords="252,309,425,336"/>
<area shape="rect" href="_store_results_to_file_8h.html#a19896502e58bf3ed89e13edf9f2358bd" title=" " alt="" coords="481,251,677,293"/>
</map>
</div>

</div>
</div>
<a id="a45f874fa7a191611a2cb6938f59c4f5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45f874fa7a191611a2cb6938f59c4f5d">&#9670;&nbsp;</a></span>StoreVariableResultsIntoFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void StoreVariableResultsIntoFile </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; <a class="el" href="struct_var_decl_properties.html">VarDeclProperties</a> &gt;&#160;</td>
          <td class="paramname"><em>AllVarDeclProperties_vec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="_store_results_to_file_8h_a45f874fa7a191611a2cb6938f59c4f5d_cgraph.png" border="0" usemap="#_store_results_to_file_8h_a45f874fa7a191611a2cb6938f59c4f5d_cgraph" alt=""/></div>
<map name="_store_results_to_file_8h_a45f874fa7a191611a2cb6938f59c4f5d_cgraph" id="_store_results_to_file_8h_a45f874fa7a191611a2cb6938f59c4f5d_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,211,32"/>
<area shape="rect" href="_store_results_to_file_8h.html#a7cec9f4f9ebd175d0659ca6af28407a5" title=" " alt="" coords="259,5,347,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="_store_results_to_file_8h.html">StoreResultsToFile.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
